
{ config, pkgs, ... }:
{
    services.jitsi-meet = {
        enable = true;
        hostName = "meet.kabtop.de";
        config = {
            enableWelcomePage = false;
            prejoinPageEnabled = true;
            defaultLang = "en";
        };
        interfaceConfig = {
            SHOW_JITSI_WATERMARK = false;
            SHOW_WATERMARK_FOR_GUESTS = false;
        };
    };
    services.jibri = {
        enable = true;
        config = {
            recording = {
              recordings-directory = "/var/lib/jitsi-meet-recordings";
            };
            ffmpeg = {
              #framerate = 30;
              #video-encode-preset = "veryfast"; # https://trac.ffmpeg.org/wiki/Encode/H.264#a2.Chooseapresetandtune
              h264-constant-rate-factor = 21; # https://trac.ffmpeg.org/wiki/Encode/H.264#a1.ChooseaCRFvalue
            };
        };
    };
    services.jitsi-videobridge = {
        enable = true;
        openFirewall = true;
    };

    services.prosody.extraConfig = ''
        log = "/var/log/prosody/prosody.log"
    '';
    systemd.tmpfiles.rules = [
      "d /var/log/prosody - prosody prosody"
      "d ${config.services.jibri.config.recording.recordings-directory} 0750 jibri jibri -"
    ];

    security.acme.defaults.email = "webmaster@kabtop.de";
    security.acme.defaults.webroot = "/var/lib/acme/acme-challenge";
    security.acme.acceptTerms = true;
}
